Package: groovy.transform

## [Java] Annotation Type NamedParam

- groovy.transform.NamedParam

-     @Retention(RetentionPolicy.RUNTIME)
      @Target(ElementType.PARAMETER)
      @Repeatable(NamedParams.class)
      public @interface NamedParam

  Marker interface used to indicate that the name of the annotated parameter (or specified optional name) is a valid key name when using named arguments and that the parameter type is applicable for type checking purposes.

  Since:
    2.5.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `boolean` | `required` Default: false
    `Class` | `type` Default: Object.class
    `String` | `value` Default: Undefined.STRING

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public boolean required

      Default:
        false

    - #### public Class type

      Default:
        Object.class

    - #### public String value

      Default:
        Undefined.STRING